Attribute VB_Name = "Module1"
'-------------------------------------------------
'Module1: contains several global variables and
'performs target specific initializations.
'-------------------------------------------------
Global Const TENNEY = 0
Global Const DEVDEBUG = 1
Global Const DEVLAB = 2

'-----------------------------------
Global Const VERSION = TENNEY
'-----------------------------------

Global DataArrived As Boolean
Global LoadRow As Integer
Global LoadFromChamber As Boolean
Global LoadToChamber As Boolean
Global FileType As Integer
Global GlobalFileName As String
Global Global488DataLoop As Boolean
Global g488LoopChecked As Boolean
Global Const NUMBEROFTABS = 5

Global TIMEOUT(0 To 4) As Integer
Global FrmGPIBEndSearch As Boolean

Global gActFilePath As String

'--- SBC488E TEST Globals ---
Global SBC488Test_ConstVal(20) As Single
Global SBC488Test_ConstID(20) As String

Public Enum CmdListType
    CL_NONE = -1
    CL_VTV_SETTING = 0
    CL_VTV_PROFILE = 1
    CL_TEST_LIST = 2
End Enum

Global gCmdListType As CmdListType

Public Declare Function GetTickCount Lib "kernel32" () As Long

Public Function VersionControl()
    '-----------------------------------------
    'Performs target specific initializations.
    '-----------------------------------------
    Dim X As Integer
    Dim HostIP As String

    If VERSION = TENNEY Then
        HostIP = GetLocalHostIP
        Main.chkLog(3).Visible = False
        Main.chkLog(4).Visible = False
        Main.txtAddress(0).Text = "" 'hidden - use next line cboAddress485
        Main.cboAddress485.Text = Main.cboAddress485.List(0) 'Address 01
        'Main.txtAddress(1).Text = "" 'disabled
        Main.txtAddress(2).Text = "1"
        Main.txtAddress(3).Text = HostIP '"255.255.255.255"
        Main.txtAddress(4).Text = HostIP '"255.255.255.255"
        Main.txtPort(0).Text = "1"
        Main.txtPort(1).Text = "1"
        Main.txtPort(2).Text = "0"
        Main.txtPort(3).Text = "5000"
        Main.txtPort(4).Text = "5000"
        'Main.txtTimeout488.Text = "1000"
        'Main.cboOut(0).Text = "" 'sets focus
    End If
    
    If VERSION = DEVDEBUG Then
        Main.txtAddress(0).Text = "" 'hidden - use next line cboAddress485
        Main.cboAddress485.Text = Main.cboAddress485.List(1) '02
        'Main.txtAddress(1).Text = "" 'disabled
        Main.txtAddress(2).Text = "1"
        Main.txtAddress(3).Text = "172.00.00.00"
        Main.txtAddress(4).Text = "172.00.00.00"
        Main.txtPort(0).Text = "5"
        Main.txtPort(1).Text = "1"
        Main.txtPort(2).Text = "0"
        Main.txtPort(3).Text = "5000"
        Main.txtPort(4).Text = "5000"
        Main.txtTimeout488.Text = "1000"
        Main.cboOut(0).Text = "" 'sets focus
    End If
    
    If VERSION = DEVLAB Then
        Main.txtAddress(0).Text = "" 'hidden - use next line cboAddress485
        Main.cboAddress485.Text = Main.cboAddress485.List(1) '02
        'Main.txtAddress(1).Text = "" 'disabled
        Main.txtAddress(2).Text = "1"
        Main.txtAddress(3).Text = "192.00.00.00"
        Main.txtAddress(4).Text = "192.00.00.00"
        Main.txtPort(0).Text = "5"
        Main.txtPort(1).Text = "1"
        Main.txtPort(2).Text = "0"
        Main.txtPort(3).Text = "5000"
        Main.txtPort(4).Text = "5000"
        Main.txtTimeout488.Text = "1000"
        For X = 0 To NUMBEROFTABS - 1
            Main.cboOut(X).Text = "? C1;? SP1;? IDN"
        Next X
    End If
    
End Function

Function get_Keithley(gpib_address As Integer) As Single

        'Get Volt reading
        Main.TMWControl1.Address = "GPIB0::" & Str(gpib_address)
        'Main.TMWControl1.Initialize
        frmCalibrate.DelayMs (1000)
        msg$ = "data?" & vbCr
        Main.TMWControl1.Output (msg$)
            'frmCalibrate.timerGPIB = 2
        result$ = "" 'tracks GPIB reply - see Timer1 function

        Main.TMWControl1.Enter result$
        get_Keithley = Val(result$)
End Function

Public Function PauseMS()

End Function
