VERSION 5.00
Begin VB.Form frmPortConfig 
   Caption         =   "Port Configuration"
   ClientHeight    =   3630
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   4800
   LinkTopic       =   "Form1"
   ScaleHeight     =   3630
   ScaleWidth      =   4800
   StartUpPosition =   3  'Windows Default
   Begin VB.Frame fraPresets 
      Caption         =   "RS-232 Presets"
      Height          =   855
      Index           =   1
      Left            =   120
      TabIndex        =   13
      Top             =   2160
      Width           =   4575
      Begin VB.CommandButton cmdPreset232 
         Caption         =   "VTV"
         Height          =   315
         Index           =   3
         Left            =   3480
         TabIndex        =   17
         Top             =   360
         Width           =   960
      End
      Begin VB.CommandButton cmdPreset232 
         Caption         =   "SBC488E"
         Height          =   315
         Index           =   0
         Left            =   240
         TabIndex        =   16
         Top             =   360
         Width           =   960
      End
      Begin VB.CommandButton cmdPreset232 
         Caption         =   "Olympic"
         Height          =   315
         Index           =   1
         Left            =   1320
         TabIndex        =   15
         Top             =   360
         Width           =   960
      End
      Begin VB.CommandButton cmdPreset232 
         Caption         =   "TCWeb"
         Height          =   315
         Index           =   2
         Left            =   2400
         TabIndex        =   14
         Top             =   360
         Width           =   960
      End
   End
   Begin VB.Frame fraPresets 
      Caption         =   "RS-485 Presets"
      Height          =   855
      Index           =   0
      Left            =   120
      TabIndex        =   11
      Top             =   2160
      Width           =   4575
      Begin VB.CommandButton cmdPreset485 
         Caption         =   "Default"
         Height          =   315
         Index           =   0
         Left            =   240
         TabIndex        =   12
         Top             =   360
         Width           =   960
      End
   End
   Begin VB.CommandButton cmdPortConfig 
      Caption         =   "Apply"
      Height          =   315
      Index           =   2
      Left            =   3600
      TabIndex        =   10
      Top             =   3240
      Width           =   960
   End
   Begin VB.CommandButton cmdPortConfig 
      Caption         =   "Cancel"
      Height          =   315
      Index           =   1
      Left            =   2520
      TabIndex        =   9
      Top             =   3240
      Width           =   960
   End
   Begin VB.CommandButton cmdPortConfig 
      Caption         =   "OK"
      Height          =   315
      Index           =   0
      Left            =   1440
      TabIndex        =   8
      Top             =   3240
      Width           =   960
   End
   Begin VB.ComboBox cboCfg 
      Height          =   315
      Index           =   3
      ItemData        =   "frmPortConfig.frx":0000
      Left            =   1920
      List            =   "frmPortConfig.frx":000D
      TabIndex        =   3
      Text            =   "1"
      Top             =   1680
      Width           =   2055
   End
   Begin VB.ComboBox cboCfg 
      Height          =   315
      Index           =   2
      ItemData        =   "frmPortConfig.frx":001C
      Left            =   1920
      List            =   "frmPortConfig.frx":002F
      TabIndex        =   2
      Text            =   "8"
      Top             =   1200
      Width           =   2055
   End
   Begin VB.ComboBox cboCfg 
      Height          =   315
      Index           =   1
      ItemData        =   "frmPortConfig.frx":0042
      Left            =   1920
      List            =   "frmPortConfig.frx":0055
      TabIndex        =   1
      Text            =   "N"
      Top             =   720
      Width           =   2055
   End
   Begin VB.ComboBox cboCfg 
      Height          =   315
      Index           =   0
      ItemData        =   "frmPortConfig.frx":008B
      Left            =   1920
      List            =   "frmPortConfig.frx":00BF
      TabIndex        =   0
      Text            =   "9600"
      Top             =   240
      Width           =   2055
   End
   Begin VB.Label lblLabel 
      Alignment       =   1  'Right Justify
      Caption         =   "Stop Bits"
      Height          =   255
      Index           =   3
      Left            =   120
      TabIndex        =   7
      Top             =   1680
      Width           =   1695
   End
   Begin VB.Label lblLabel 
      Alignment       =   1  'Right Justify
      Caption         =   "Data Bits"
      Height          =   255
      Index           =   2
      Left            =   120
      TabIndex        =   6
      Top             =   1200
      Width           =   1695
   End
   Begin VB.Label lblLabel 
      Alignment       =   1  'Right Justify
      Caption         =   "Parity"
      Height          =   255
      Index           =   1
      Left            =   120
      TabIndex        =   5
      Top             =   720
      Width           =   1695
   End
   Begin VB.Label lblLabel 
      Alignment       =   1  'Right Justify
      Caption         =   "Baud Rate"
      Height          =   255
      Index           =   0
      Left            =   120
      TabIndex        =   4
      Top             =   240
      Width           =   1695
   End
End
Attribute VB_Name = "frmPortConfig"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Private ComIndex As Integer

Private Sub cboCfg_Change(Index As Integer)
    cmdPortConfig(2).Enabled = True
End Sub

Private Sub cboCfg_Click(Index As Integer)
    cmdPortConfig(2).Enabled = True
End Sub

Private Sub cmdPortConfig_Click(Index As Integer)
    On Error GoTo error1
    
    Dim tmpStr As String
    Dim tmpParity As String
    Dim X As Integer
    
    tmpParity = Trim(cboCfg(1).Text)
    Select Case tmpParity
    Case "E - Even": tmpParity = "E"
    Case "M - Mark": tmpParity = "M"
    Case "N - None": tmpParity = "N"
    Case "O - Odd": tmpParity = "O"
    Case "S - Space": tmpParity = "S"
    End Select
    

    tmpStr = Trim(cboCfg(0).Text) & "," & Trim(tmpParity) & "," & Trim(cboCfg(2).Text) & "," & Trim(cboCfg(3).Text)
    
    Select Case Index
    Case 0 'OK accept settings and cl0ose window
        Main.MSComm1(ComIndex).Settings = Trim(tmpStr)
        Unload Me
    Case 1 'CANCEL dont accept settings and close window
        Unload Me
    Case 2 'APPLY accept settings and leave window open
        Main.MSComm1(ComIndex).Settings = Trim(tmpStr)
        cmdPortConfig(2).Enabled = False
    Case Else
    End Select
    
Exit Sub
error1:
    MsgBox "Error: " & Err.Number & " " & Err.Description
End Sub

Private Sub cmdPreset232_Click(Index As Integer)
    Select Case Index
    Case 0 'SBC488E
        cboCfg(0).Text = "19200"
        cboCfg(1).Text = "N"
        cboCfg(2).Text = "8"
        cboCfg(3).Text = "1"
    Case 1 'Olympic
        cboCfg(0).Text = "57600"
        cboCfg(1).Text = "N"
        cboCfg(2).Text = "8"
        cboCfg(3).Text = "1"
    Case 2 'TCweb
        cboCfg(0).Text = "19200"
        cboCfg(1).Text = "N"
        cboCfg(2).Text = "8"
        cboCfg(3).Text = "1"
    Case 3 'VTV
        cboCfg(0).Text = "19200"
        cboCfg(1).Text = "N"
        cboCfg(2).Text = "8"
        cboCfg(3).Text = "1"
    Case Else
    End Select

End Sub

Private Sub cmdPreset485_Click(Index As Integer)
    Select Case Index
    Case 0 'Default
        cboCfg(0).Text = "9600"
        cboCfg(1).Text = "N"
        cboCfg(2).Text = "8"
        cboCfg(3).Text = "1"
    Case Else
    End Select
End Sub

Private Sub Form_Load()
    On Error GoTo error1
    
    Dim tmpStr As String
    Dim tmpAry() As String
    
    ComIndex = Main.SSTab1.Tab
    
    '485
    If ComIndex = 0 Then
        fraPresets(0).Visible = True
        fraPresets(1).Visible = False
    '232
    Else
        fraPresets(1).Visible = True
        fraPresets(0).Visible = False
    End If

    tmpStr = Main.MSComm1(ComIndex).Settings
    
    tmpAry = Split(tmpStr, ",")
    cboCfg(0).Text = tmpAry(0) 'Baud Rate
    cboCfg(1).Text = UCase(tmpAry(1)) 'Parity
    cboCfg(2).Text = tmpAry(2) 'Data Bits
    cboCfg(3).Text = tmpAry(3) 'Stop Bits
    
    cmdPortConfig(0).Enabled = True
    cmdPortConfig(1).Enabled = True
    cmdPortConfig(2).Enabled = False
Exit Sub
error1:
    MsgBox "Error: " & Err.Number & " " & Err.Description
End Sub
